Get a workflow action execution by ID

Fetches a single workflow action execution by resource ID. Requires the WORKFLOW_ACTION_EXECUTION.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
workflow_action_idstringOptional
The workflow action this execution row belongs to.
workflow_trigger_idstringOptional
The workflow trigger that produced this execution row.
workflow_idstring or nullOptionalRead-only
The workflow this execution belongs to. Derived from the workflow trigger.
statusenumOptional
Status of this execution row.
reasonstring or nullOptional
Optional reason describing why the action ended in this status.
conditions_result_treeobject or nullOptional
The evaluated condition result tree captured when the workflow was triggered, showing why the action did or did not execute.
created_atstring or nullOptionalRead-only
Date time when this execution row was created.
updated_atstring or nullOptionalRead-only
Date time when this execution row was last updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error